// 判断是否是移动端环境
export const isMobile = () => {
    return /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
      navigator.userAgent
    )
  }
  // 检查navigator.clipboard对象的读取是否可用
export const checkClipboardReadEnable = () => {
    return navigator.clipboard && typeof navigator.clipboard.read === 'function'
  }// 获取浏览器的chrome内核版本
export const getChromeVersion = () => {
    const match = navigator.userAgent.match(/\s+Chrome\/(.*)\s+/)
    if (match && match[1]) {
      return Number.parseFloat(match[1])
    }
    return ''
  }